#pragma once

#include "config.h"
#include <saas/rtyserver/indexer_core/normalizer.h>

class TArchiveDataNormalizer: public NRTYServer::INormalizer {
public:
    TArchiveDataNormalizer(const TRTYServerConfig& config, const TRTYFullArchiveConfig& componentConfig);
    virtual const char* Name() const;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
private:
    const TRTYFullArchiveConfig& ComponentConfig;
};
